## gst-plugins-bad1.0 1.27.2

=== debian/changelog ===
gst-plugins-bad1.0 (1.27.2-1ubuntu1) resolute; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxing-dev,
          liblrdf0-dev, libneon27-dev

  [ Jeremy Bícha ]
  * Skip a redirect test that began failing once curl was updated to 8.16
    (Closes: #1098871. Mitigates: #1114141.)
  * Add patches to skip specific tests on some architectures
  * Stop ignoring non-skipped test failures on release architectures
  * Add an autopkgtest to ensure that build tests still pass when dependencies
    change
  * Restore default soundfont patch (Closes: #1018145)
  * Fix logic error in big endian skip test patch
  * Stop skipping the curl redirect build test (Closes: #1114141)
  * autopkgtest: Don't run on riscv64

  [ Simon McVittie ]
  * d/control: Add Build-Depends on systematic names for gir1.2-*-dev packages
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
  * gir1.2-gst-plugins-bad-1.0: Add ${gir:Provides}
  * libgstreamer-plugins-bad1.0-dev: Add ${gir:Provides}
  * libgstreamer-plugins-bad1.0-dev: Add ${gir:Depends}

 -- Charles <charles05@canonical.com>  Fri, 25 Jul 2025 21:00:25 +0200

gst-plugins-bad1.0 (1.27.2-1) experimental; urgency=medium

  * New upstream version 1.27.2
  * d/control: bump minimal version after new symbols
  * d/control: libvulkan-dev minimal 1.4.317
  * d/copyright: superfluous-file-pattern gst/inter/gstintertest.c

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Sep 2025 12:42:50 +0200

gst-plugins-bad1.0 (1.27.1-1) experimental; urgency=medium

  * Revert "d/watch: pin to 1.26.x"
  * d/gbp.conf: adjust for experimental
  * New upstream version 1.27.1
  * d/rules: disable tflite
  * d/control: bump Standards-Version
  * d/rules: disable wpe2
  * d/install: gsty4m moved to good
  * d/install: install libgsthip.so
  * d/control: remove  superfluous-file-pattern gst/y4m/gsty4mdec.[ch]
  * d/control: API change, gst deps to 1.27.1

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 12 Aug 2025 13:58:54 +0200
