=== debian/control ===
--- 
+++ 
@@ -1,28 +1,16 @@
 Source: gst-plugins-bad1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                flite-dev,
-               gir1.2-gobject-2.0-dev,
-               gir1.2-gst-1.0-dev,
-               gir1.2-gstaudio-1.0-dev,
-               gir1.2-gstbase-1.0-dev,
-               gir1.2-gstgl-1.0-dev,
-               gir1.2-gstpbutils-1.0-dev,
-               gir1.2-gstsdp-1.0-dev,
-               gir1.2-gsttag-1.0-dev,
-               gir1.2-gstvideo-1.0-dev,
-               gir1.2-vulkan-1.0-dev,
                glslc,
-               gobject-introspection (>= 1.80),
-               gstreamer1.0-plugins-base (>= 1.27.2),
-               gstreamer1.0-plugins-good (>= 1.27.2) <!nocheck>,
+               gstreamer1.0-plugins-base (>= 1.27.50),
+               gstreamer1.0-plugins-good (>= 1.27.50) <!nocheck>,
                gstreamer1.0-tools,
                ladspa-sdk,
                libaom-dev,
@@ -44,13 +32,14 @@
                libexif-dev (>= 0.6.16),
                libfaad-dev (>= 2.7),
                libfluidsynth-dev (>= 1.0),
-               libfreeaptx-dev (>= 0.1.1) [!i386],
+               libfreeaptx-dev (>= 0.1.1),
+               libgirepository1.0-dev (>= 0.9.12-4~),
                libglib2.0-dev (>= 2.68),
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.27.2),
-               libgstreamer1.0-dev (>= 1.27.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.50),
+               libgstreamer1.0-dev (>= 1.27.50),
                libgtk-3-dev (>= 3.15.0),
                libgudev-1.0-dev (>= 143) [linux-any],
                libjson-glib-dev,
@@ -59,12 +48,12 @@
                liblcms2-dev (>= 2.7),
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                liblilv-dev (>= 0.22),
-               liblrdf0-dev [!i386],
-               libltc-dev (>= 1.1.4) [!i386],
+               liblrdf0-dev,
+               libltc-dev (>= 1.1.4),
                libmjpegtools-dev (>= 2.0.0),
                libmodplug-dev,
                libmpcdec-dev,
-               libneon27-dev [!i386],
+               libneon27-dev,
                libnice-dev (>= 0.1.20),
                libonnxruntime-dev [amd64 arm64 armhf riscv64],
                libopenal-dev (>= 1:1.14),
@@ -73,12 +62,12 @@
                libopenh264-dev (>= 1.3.0),
                libopenjp2-7-dev (>= 2.2),
                libopenmpt-dev,
-               libopenni2-dev (>= 0.26) [!i386],
+               libopenni2-dev (>= 0.26) [linux-any],
                libopus-dev (>= 0.9.4),
                liborc-0.4-dev (>= 1:0.4.24),
                libpango1.0-dev (>= 1.22),
                libpng-dev,
-               libqrencode-dev [!i386],
+               libqrencode-dev,
                librsvg2-dev (>= 2.36.2),
                librtmp-dev,
                libsbc-dev (>= 1.1) [linux-any],
@@ -90,15 +79,17 @@
                libssh2-1-dev (>= 1.4.3),
                libssl-dev (>= 1.1),
                libsvtav1enc-dev,
+               libtensorflow-lite-dev [linux-any],
                libusb-1.0-0-dev [linux-any],
                libva-dev (>= 1.8) [linux-any],
                libvo-aacenc-dev,
                libvo-amrwbenc-dev,
-               libvulkan-dev (>= 1.4.321) [linux-any],
                libwayland-dev (>= 1.11.0) [linux-any],
                libwebp-dev (>= 0.2.1),
                libwebrtc-audio-processing-dev (>= 0.2),
                libwildmidi-dev (>= 0.4.2),
+               libwpebackend-fdo-1.0-dev (>= 1.8.0) [linux-any],
+               libwpewebkit-2.0-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x ia64 loong64 powerpc sparc64 x32],
                libx11-dev,
                libx11-xcb-dev,
                libx265-dev,
@@ -107,7 +98,7 @@
                libxvidcore-dev,
                libzbar-dev (>= 0.9),
                libzvbi-dev,
-               libzxing-dev (>= 1.4.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha hppa hurd-i386 m68k powerpc ppc64 sparc64],
+               libzxing-dev (>= 1.4.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha hppa hurd-i386 m68k powerpc ppc64 sparc64],
                meson,
                nettle-dev (>= 3),
                opencv-data [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
@@ -126,6 +117,7 @@
 Section: utils
 Depends: gstreamer1.0-plugins-bad (= ${binary:Version}),
          ${misc:Depends},
+         ${perl:Depends},
          ${shlibs:Depends}
 Conflicts: pitivi (<< 0.9999)
 Description: GStreamer helper programs from the "bad" set
@@ -145,8 +137,8 @@
 Package: gstreamer1.0-plugins-bad
 Architecture: any
 Multi-Arch: same
-Depends: gstreamer1.0-plugins-base (>= 1.27.2),
-         gstreamer1.0-plugins-good (>= 1.27.2),
+Depends: gstreamer1.0-plugins-base (>= 1.27.50),
+         gstreamer1.0-plugins-good (>= 1.27.50),
          libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -194,6 +186,10 @@
 Recommends: opencv-data
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
+XB-GStreamer-URI-Sources: ${gstreamer:URISources}
+XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
+XB-GStreamer-Encoders: ${gstreamer:Encoders}
+XB-GStreamer-Decoders: ${gstreamer:Decoders}
 Description: GStreamer OpenCV plugins
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -208,6 +204,31 @@
  real live maintainer, or some actual wide use.
  .
  This package contains the OpenCV plugins.
+
+Package: gstreamer1.0-wpe
+Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x ia64 loong64 powerpc sparc64 x32
+Multi-Arch: same
+Depends: gstreamer1.0-plugins-base,
+         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+XB-GStreamer-Version: ${gstreamer:Version}
+XB-GStreamer-Elements: ${gstreamer:Elements}
+XB-GStreamer-URI-Sources: ${gstreamer:URISources}
+Description: GStreamer WPEWebKit plugin
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
+ to the rest. They might be close to being good quality, but they're missing
+ something - be it a good code review, some documentation, a set of tests, a
+ real live maintainer, or some actual wide use.
+ .
+ This package contains the WPEWebKit plugin.
 
 Package: libgstreamer-plugins-bad1.0-0
 Architecture: any
@@ -240,27 +261,3 @@
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
  anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
- to the rest. They might be close to being good quality, but they're missing
- something - be it a good code review, some documentation, a set of tests, a
- real live maintainer, or some actual wide use.
- .
- This package contains shared GStreamer libraries for OpenCV.
-
-Package: libgstreamer-plugins-bad1.0-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: gir1.2-gst-plugins-bad-1.0 (= ${binary:Version}),
-         libgstreamer-opencv1.0-0 (= ${binary:Version}) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
-         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-dev,
-         libgstreamer-plugins-good1.0-dev,
-         libgstreamer1.0-dev,
-         libopencv-dev (>= 2.3.0) [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
-         ${gir:Depends},
-         ${misc:Depends}
