=== debian/control ===
--- 
+++ 
@@ -8,9 +8,20 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                flite-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gst-1.0-dev,
+               gir1.2-gstaudio-1.0-dev,
+               gir1.2-gstbase-1.0-dev,
+               gir1.2-gstgl-1.0-dev,
+               gir1.2-gstpbutils-1.0-dev,
+               gir1.2-gstsdp-1.0-dev,
+               gir1.2-gsttag-1.0-dev,
+               gir1.2-gstvideo-1.0-dev,
+               gir1.2-vulkan-1.0-dev,
                glslc,
-               gstreamer1.0-plugins-base (>= 1.27.50),
-               gstreamer1.0-plugins-good (>= 1.27.50) <!nocheck>,
+               gobject-introspection (>= 1.80),
+               gstreamer1.0-plugins-base (>= 1.27.90),
+               gstreamer1.0-plugins-good (>= 1.27.90) <!nocheck>,
                gstreamer1.0-tools,
                ladspa-sdk,
                libaom-dev,
@@ -33,13 +44,12 @@
                libfaad-dev (>= 2.7),
                libfluidsynth-dev (>= 1.0),
                libfreeaptx-dev (>= 0.1.1),
-               libgirepository1.0-dev (>= 0.9.12-4~),
                libglib2.0-dev (>= 2.68),
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.27.50),
-               libgstreamer1.0-dev (>= 1.27.50),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.90),
+               libgstreamer1.0-dev (>= 1.27.90),
                libgtk-3-dev (>= 3.15.0),
                libgudev-1.0-dev (>= 143) [linux-any],
                libjson-glib-dev,
@@ -99,7 +109,7 @@
                libzbar-dev (>= 0.9),
                libzvbi-dev,
                libzxing-dev (>= 1.4.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha hppa hurd-i386 m68k powerpc ppc64 sparc64],
-               meson,
+               meson (>= 1.4.0),
                nettle-dev (>= 3),
                opencv-data [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x alpha powerpc ppc64 sparc64],
                wayland-protocols (>= 1.4) [linux-any],
@@ -117,7 +127,6 @@
 Section: utils
 Depends: gstreamer1.0-plugins-bad (= ${binary:Version}),
          ${misc:Depends},
-         ${perl:Depends},
          ${shlibs:Depends}
 Conflicts: pitivi (<< 0.9999)
 Description: GStreamer helper programs from the "bad" set
@@ -137,8 +146,8 @@
 Package: gstreamer1.0-plugins-bad
 Architecture: any
 Multi-Arch: same
-Depends: gstreamer1.0-plugins-base (>= 1.27.50),
-         gstreamer1.0-plugins-good (>= 1.27.50),
+Depends: gstreamer1.0-plugins-base (>= 1.27.90),
+         gstreamer1.0-plugins-good (>= 1.27.90),
          libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -186,10 +195,6 @@
 Recommends: opencv-data
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
-XB-GStreamer-URI-Sources: ${gstreamer:URISources}
-XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
-XB-GStreamer-Encoders: ${gstreamer:Encoders}
-XB-GStreamer-Decoders: ${gstreamer:Decoders}
 Description: GStreamer OpenCV plugins
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -259,5 +264,3 @@
 Replaces: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
 Description: GStreamer OpenCV libraries
  GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
